<!DOCTYPE html>
<html xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
>

<h:head>
    <title>Detail</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <h:outputStylesheet library="css" name="main.css"/>
    <h:outputStylesheet library="css" name="jquery-ui.css"/>
    <h:outputScript library="js" name="jquery-3.6.0.min.js"/>
    <h:outputScript library="js" name="main.js"/>
</h:head>

<h:body onload="hideCreateLessonButton(#{userControl.adminConnected})">
    <h:outputScript target="head" library="js" name="main.js"/>
    <h1>Titre #{activityControl.getActivityById(request.getParameter('id_activity')).name}</h1>
    <h:outputScript target="head">
        #{lessonControl.idActivity = param['id_activity']}
    </h:outputScript>

    <h1>Lessons List</h1>
    <h:form id="formCreateLesson" style="display: none;">
        <h:commandButton value="Create a new lesson" action="#{lessonControl.showCreateLessonPage()}"/>
    </h:form>
    <h:dataTable value="#{lessonControl.showLessonListByActivity(param['id_activity'])}"
                 var="lesson"
                 styleClass="TablePublication"
                 headerClass="TableHeader"
                 rowClass="TableRowOdd,TableRowEven">
        <h:column>
            <f:facet name="header">ID</f:facet>
            #{lesson.id}
        </h:column>
        <h:column>
            <f:facet name="header">Name</f:facet>
            #{lesson.name}
        </h:column>
        <h:column>
            <f:facet name="header">Duration</f:facet>
            #{lesson.duration}
        </h:column>
        <h:column>
            <f:facet name="header">View</f:facet>
            <a href="lesson_details.xhtml?facets-redirect=true&amp;id_activity=#{param['id_activity']}&amp;id_lesson=#{lesson.id}">View</a>
        </h:column>
    </h:dataTable>
    <h:outputScript library="js" target="head">
        hideCreateLessonButton(#{userControl.adminConnected});
    </h:outputScript>
</h:body>

</html>
